> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post resourcesviewsall resource views

> Searches all Resources within the requesting User's associated Forum using the provided
search criteria.

This operation requires a Resource View Criteria value.

This operation returns a **Resource View Wrapper** with the following fields: **Name** **Data Type** **Description** views List of Resource View values Room Views describe a Room resource. These views will be in the order requested by the submitted criteria search value. hasAdditional Boolean value Flag indicating that additional results may be queried from the agilquest system. Additional calls to the operation that update the criteria Start Row to the next start row value included in this result will retrieve the additional results for this query. nextStartRow Integer value Numeric Index of the next result set row to use for retrieving additional results for the same query. Used for pagination.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /resources/views/all-resource-views
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /resources/views/all-resource-views:
    post:
      tags:
        - ResourceViewsService
      description: >-
        Searches all Resources within the requesting User's associated Forum
        using the provided

        search criteria.


        This operation requires a Resource View Criteria value.


        This operation returns a **Resource View Wrapper** with the following
        fields: **Name** **Data Type** **Description** views List of Resource
        View values Room Views describe a Room resource. These views will be in
        the order requested by the submitted criteria search value.
        hasAdditional Boolean value Flag indicating that additional results may
        be queried from the agilquest system. Additional calls to the operation
        that update the criteria Start Row to the next start row value included
        in this result will retrieve the additional results for this query.
        nextStartRow Integer value Numeric Index of the next result set row to
        use for retrieving additional results for the same query. Used for
        pagination.
      operationId: searchResources
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  distanceUnit: kilometers
                  sysidResources:
                    - 12345
                    - 12345
                  sysidLocationMapImages:
                    - 12345
                    - 12345
                  latitude: 12345
                  oredSysidResources:
                    - 12345
                    - 12345
                  resourceName: ...
                  sortColumn: PRICE
                  sysidStatuses:
                    - 12345
                    - 12345
                  venueName: ...
                  priceRange:
                    fromPrice: 12345
                    sysidCostUnitType: 12345
                    sysidCurrencyType: 12345
                    toPrice: 12345
                  sysidAccount: 12345
                  sysidLocatorNodes:
                    - 12345
                    - 12345
                  distance: 12345
                  longitude: 12345
                  sysidDepartments:
                    - 12345
                    - 12345
                  sysidUserAlloc: 12345
                  sysidAllocRelationships:
                    - 12345
                    - 12345
                  viewport:
                    southwest:
                      lat: 12345
                      lng: 12345
                    northeast:
                      lat: 12345
                      lng: 12345
                  sysidCategories:
                    - 12345
                    - 12345
                  sysidResourceTypes:
                    - 12345
                    - 12345
                  exactMatchOnName: true
                  sortAscending: true
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/ResourceViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    hasAdditional: true
                    views:
                      - typeDescription: ...
                        name: ...
                        sysidResourceType: 12345
                        minChargeCodeRequired: 12345
                        sysidStatus: 12345
                        price: 12345
                        maxFutureReservationDays: 12345
                        sysidCategory: 12345
                        chargeCodeType: 12345
                        mapImageLocators:
                          - left: 12345
                            height: 12345
                            top: 12345
                            sysidMapLocator: 12345
                            transparency: 12345
                            locatorImage: {}
                            sysidMapImage: 12345
                            rotation: 12345
                            width: 12345
                            sysidLocatorImage: 12345
                          - left: 12345
                            height: 12345
                            top: 12345
                            sysidMapLocator: 12345
                            transparency: 12345
                            locatorImage: {}
                            sysidMapImage: 12345
                            rotation: 12345
                            width: 12345
                            sysidLocatorImage: 12345
                        sysidCurrencyType: 12345
                        leadTimeMinutes: 12345
                        originalResource: true
                        minDurationMinutes: 12345
                        discriminator: ...
                        breakDownMinutes: 12345
                        setupMinutes: 12345
                        allocRelationship: 12345
                        sysidCostUnitType: 12345
                        sysidResource: 12345
                        resourceLocations:
                          - postalCode: ...
                            sysidVenueNode: 12345
                            sysidLocatorNode: 12345
                            address2: ...
                            country: ...
                            address1: ...
                            city: ...
                            venueName: ...
                            stateProvince: ...
                            locationName: ...
                          - postalCode: ...
                            sysidVenueNode: 12345
                            sysidLocatorNode: 12345
                            address2: ...
                            country: ...
                            address1: ...
                            city: ...
                            venueName: ...
                            stateProvince: ...
                            locationName: ...
                        maxDurationMinutes: 12345
                        images:
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                      - typeDescription: ...
                        name: ...
                        sysidResourceType: 12345
                        minChargeCodeRequired: 12345
                        sysidStatus: 12345
                        price: 12345
                        maxFutureReservationDays: 12345
                        sysidCategory: 12345
                        chargeCodeType: 12345
                        mapImageLocators:
                          - left: 12345
                            height: 12345
                            top: 12345
                            sysidMapLocator: 12345
                            transparency: 12345
                            locatorImage: {}
                            sysidMapImage: 12345
                            rotation: 12345
                            width: 12345
                            sysidLocatorImage: 12345
                          - left: 12345
                            height: 12345
                            top: 12345
                            sysidMapLocator: 12345
                            transparency: 12345
                            locatorImage: {}
                            sysidMapImage: 12345
                            rotation: 12345
                            width: 12345
                            sysidLocatorImage: 12345
                        sysidCurrencyType: 12345
                        leadTimeMinutes: 12345
                        originalResource: true
                        minDurationMinutes: 12345
                        discriminator: ...
                        breakDownMinutes: 12345
                        setupMinutes: 12345
                        allocRelationship: 12345
                        sysidCostUnitType: 12345
                        sysidResource: 12345
                        resourceLocations:
                          - postalCode: ...
                            sysidVenueNode: 12345
                            sysidLocatorNode: 12345
                            address2: ...
                            country: ...
                            address1: ...
                            city: ...
                            venueName: ...
                            stateProvince: ...
                            locationName: ...
                          - postalCode: ...
                            sysidVenueNode: 12345
                            sysidLocatorNode: 12345
                            address2: ...
                            country: ...
                            address1: ...
                            city: ...
                            venueName: ...
                            stateProvince: ...
                            locationName: ...
                        maxDurationMinutes: 12345
                        images:
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                    nextStartRow: 12345
              schema:
                $ref: '#/components/schemas/ResourceViewWrapper'
          description: |-
            ResourceViewWrapper

            com.agilquest.phoenix.shared.data.rest.wrapper.ResourceViewWrapper
components:
  schemas:
    ResourceViewCriteria:
      type: object
      title: ResourceViewCriteria
      required:
        - exactMatchOnName
        - sortAscending
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            distanceUnit:
              $ref: '#/components/schemas/GeoDistanceUnitType'
            sysidResources:
              type: array
              items:
                type: integer
            sysidLocationMapImages:
              type: array
              items:
                type: integer
            latitude:
              type: number
            oredSysidResources:
              type: array
              items:
                type: integer
            resourceName:
              type: string
            sortColumn:
              $ref: '#/components/schemas/ResourceViewSortColumns'
            sysidStatuses:
              type: array
              items:
                type: integer
            venueName:
              type: string
            priceRange:
              $ref: '#/components/schemas/PriceRangeData'
            sysidAccount:
              type: integer
              format: int32
            sysidLocatorNodes:
              type: array
              items:
                type: integer
            distance:
              type: integer
              format: int32
            longitude:
              type: number
            sysidDepartments:
              type: array
              items:
                type: integer
            sysidUserAlloc:
              type: integer
              format: int32
            sysidAllocRelationships:
              type: array
              items:
                type: integer
            viewport:
              $ref: '#/components/schemas/Viewport'
            sysidCategories:
              type: array
              items:
                type: integer
            sysidResourceTypes:
              type: array
              items:
                type: integer
            exactMatchOnName:
              type: boolean
            sortAscending:
              type: boolean
      example:
        distanceUnit: kilometers
        sysidResources:
          - 12345
          - 12345
        sysidLocationMapImages:
          - 12345
          - 12345
        latitude: 12345
        oredSysidResources:
          - 12345
          - 12345
        resourceName: ...
        sortColumn: PRICE
        sysidStatuses:
          - 12345
          - 12345
        venueName: ...
        priceRange:
          fromPrice: 12345
          sysidCostUnitType: 12345
          sysidCurrencyType: 12345
          toPrice: 12345
        sysidAccount: 12345
        sysidLocatorNodes:
          - 12345
          - 12345
        distance: 12345
        longitude: 12345
        sysidDepartments:
          - 12345
          - 12345
        sysidUserAlloc: 12345
        sysidAllocRelationships:
          - 12345
          - 12345
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        sysidCategories:
          - 12345
          - 12345
        sysidResourceTypes:
          - 12345
          - 12345
        exactMatchOnName: true
        sortAscending: true
        startRow: 12345
        maxRows: 12345
    ResourceViewWrapper:
      type: object
      title: ResourceViewWrapper
      required:
        - hasAdditional
        - nextStartRow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            hasAdditional:
              type: boolean
            views:
              type: array
              items:
                $ref: '#/components/schemas/ResourceView'
            nextStartRow:
              type: integer
              format: int32
      example:
        hasAdditional: true
        views:
          - typeDescription: ...
            name: ...
            sysidResourceType: 12345
            minChargeCodeRequired: 12345
            sysidStatus: 12345
            price: 12345
            maxFutureReservationDays: 12345
            sysidCategory: 12345
            chargeCodeType: 12345
            mapImageLocators:
              - left: 12345
                height: 12345
                top: 12345
                sysidMapLocator: 12345
                transparency: 12345
                locatorImage: {}
                sysidMapImage: 12345
                rotation: 12345
                width: 12345
                sysidLocatorImage: 12345
              - left: 12345
                height: 12345
                top: 12345
                sysidMapLocator: 12345
                transparency: 12345
                locatorImage: {}
                sysidMapImage: 12345
                rotation: 12345
                width: 12345
                sysidLocatorImage: 12345
            sysidCurrencyType: 12345
            leadTimeMinutes: 12345
            originalResource: true
            minDurationMinutes: 12345
            discriminator: ...
            breakDownMinutes: 12345
            setupMinutes: 12345
            allocRelationship: 12345
            sysidCostUnitType: 12345
            sysidResource: 12345
            resourceLocations:
              - postalCode: ...
                sysidVenueNode: 12345
                sysidLocatorNode: 12345
                address2: ...
                country: ...
                address1: ...
                city: ...
                venueName: ...
                stateProvince: ...
                locationName: ...
              - postalCode: ...
                sysidVenueNode: 12345
                sysidLocatorNode: 12345
                address2: ...
                country: ...
                address1: ...
                city: ...
                venueName: ...
                stateProvince: ...
                locationName: ...
            maxDurationMinutes: 12345
            images:
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
          - typeDescription: ...
            name: ...
            sysidResourceType: 12345
            minChargeCodeRequired: 12345
            sysidStatus: 12345
            price: 12345
            maxFutureReservationDays: 12345
            sysidCategory: 12345
            chargeCodeType: 12345
            mapImageLocators:
              - left: 12345
                height: 12345
                top: 12345
                sysidMapLocator: 12345
                transparency: 12345
                locatorImage: {}
                sysidMapImage: 12345
                rotation: 12345
                width: 12345
                sysidLocatorImage: 12345
              - left: 12345
                height: 12345
                top: 12345
                sysidMapLocator: 12345
                transparency: 12345
                locatorImage: {}
                sysidMapImage: 12345
                rotation: 12345
                width: 12345
                sysidLocatorImage: 12345
            sysidCurrencyType: 12345
            leadTimeMinutes: 12345
            originalResource: true
            minDurationMinutes: 12345
            discriminator: ...
            breakDownMinutes: 12345
            setupMinutes: 12345
            allocRelationship: 12345
            sysidCostUnitType: 12345
            sysidResource: 12345
            resourceLocations:
              - postalCode: ...
                sysidVenueNode: 12345
                sysidLocatorNode: 12345
                address2: ...
                country: ...
                address1: ...
                city: ...
                venueName: ...
                stateProvince: ...
                locationName: ...
              - postalCode: ...
                sysidVenueNode: 12345
                sysidLocatorNode: 12345
                address2: ...
                country: ...
                address1: ...
                city: ...
                venueName: ...
                stateProvince: ...
                locationName: ...
            maxDurationMinutes: 12345
            images:
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
        nextStartRow: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    GeoDistanceUnitType:
      type: string
      title: GeoDistanceUnitType
      enum:
        - miles
        - kilometers
    ResourceViewSortColumns:
      type: string
      title: ResourceViewSortColumns
      enum:
        - RESOURCE_NAME
        - CATEGORY
        - RESOURCE_TYPE
        - STATUS
        - PRICE
    PriceRangeData:
      type: object
      title: PriceRangeData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            fromPrice:
              type: number
            sysidCostUnitType:
              type: integer
              format: int32
            sysidCurrencyType:
              type: integer
              format: int32
            toPrice:
              type: number
      example:
        fromPrice: 12345
        sysidCostUnitType: 12345
        sysidCurrencyType: 12345
        toPrice: 12345
    Viewport:
      type: object
      title: Viewport
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            southwest:
              $ref: '#/components/schemas/Southwest'
            northeast:
              $ref: '#/components/schemas/Northeast'
      example:
        southwest:
          lat: 12345
          lng: 12345
        northeast:
          lat: 12345
          lng: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ResourceView:
      type: object
      title: ResourceView
      required:
        - sysidResourceType
        - minChargeCodeRequired
        - sysidStatus
        - sysidCategory
        - chargeCodeType
        - originalResource
        - breakDownMinutes
        - setupMinutes
        - allocRelationship
        - sysidResource
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            typeDescription:
              type: string
            name:
              type: string
            sysidResourceType:
              type: integer
              format: int32
            minChargeCodeRequired:
              type: integer
              format: int32
            sysidStatus:
              type: integer
              format: int32
            price:
              type: number
            maxFutureReservationDays:
              type: integer
              format: int32
            sysidCategory:
              type: integer
              format: int32
            chargeCodeType:
              type: integer
              format: int32
            mapImageLocators:
              type: array
              items:
                $ref: '#/components/schemas/ImageLocatorData'
            sysidCurrencyType:
              type: integer
              format: int32
            leadTimeMinutes:
              type: integer
              format: int32
            originalResource:
              type: boolean
            minDurationMinutes:
              type: integer
              format: int32
            discriminator:
              type: string
            breakDownMinutes:
              type: integer
              format: int32
            setupMinutes:
              type: integer
              format: int32
            allocRelationship:
              type: integer
              format: int32
            sysidCostUnitType:
              type: integer
              format: int32
            sysidResource:
              type: integer
              format: int32
            resourceLocations:
              type: array
              items:
                $ref: '#/components/schemas/ResourceViewLocation'
            maxDurationMinutes:
              type: integer
              format: int32
            images:
              type: array
              items:
                $ref: '#/components/schemas/ResourceImageData'
      example:
        typeDescription: ...
        name: ...
        sysidResourceType: 12345
        minChargeCodeRequired: 12345
        sysidStatus: 12345
        price: 12345
        maxFutureReservationDays: 12345
        sysidCategory: 12345
        chargeCodeType: 12345
        mapImageLocators:
          - left: 12345
            height: 12345
            top: 12345
            sysidMapLocator: 12345
            transparency: 12345
            locatorImage:
              imageSource: ...
              imageType: {}
              sysidLocatorImage: 12345
            sysidMapImage: 12345
            rotation: 12345
            width: 12345
            sysidLocatorImage: 12345
          - left: 12345
            height: 12345
            top: 12345
            sysidMapLocator: 12345
            transparency: 12345
            locatorImage:
              imageSource: ...
              imageType: {}
              sysidLocatorImage: 12345
            sysidMapImage: 12345
            rotation: 12345
            width: 12345
            sysidLocatorImage: 12345
        sysidCurrencyType: 12345
        leadTimeMinutes: 12345
        originalResource: true
        minDurationMinutes: 12345
        discriminator: ...
        breakDownMinutes: 12345
        setupMinutes: 12345
        allocRelationship: 12345
        sysidCostUnitType: 12345
        sysidResource: 12345
        resourceLocations:
          - postalCode: ...
            sysidVenueNode: 12345
            sysidLocatorNode: 12345
            address2: ...
            country: ...
            address1: ...
            city: ...
            venueName: ...
            stateProvince: ...
            locationName: ...
          - postalCode: ...
            sysidVenueNode: 12345
            sysidLocatorNode: 12345
            address2: ...
            country: ...
            address1: ...
            city: ...
            venueName: ...
            stateProvince: ...
            locationName: ...
        maxDurationMinutes: 12345
        images:
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
    Southwest:
      type: object
      title: Southwest
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    Northeast:
      type: object
      title: Northeast
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    ImageLocatorData:
      type: object
      title: ImageLocatorData
      required:
        - left
        - height
        - top
        - transparency
        - sysidMapImage
        - rotation
        - width
        - sysidLocatorImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            left:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            top:
              type: integer
              format: int32
            sysidMapLocator:
              type: integer
              format: int32
            transparency:
              type: integer
              format: int32
            locatorImage:
              $ref: '#/components/schemas/LocatorImage'
            sysidMapImage:
              type: integer
              format: int32
            rotation:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            sysidLocatorImage:
              type: integer
              format: int32
      example:
        left: 12345
        height: 12345
        top: 12345
        sysidMapLocator: 12345
        transparency: 12345
        locatorImage:
          imageSource: ...
          imageType:
            languageTagKey: ...
            name: ...
            sysid: 12345
          sysidLocatorImage: 12345
        sysidMapImage: 12345
        rotation: 12345
        width: 12345
        sysidLocatorImage: 12345
    ResourceViewLocation:
      type: object
      title: ResourceViewLocation
      required:
        - sysidVenueNode
        - sysidLocatorNode
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            postalCode:
              type: string
            sysidVenueNode:
              type: integer
              format: int32
            sysidLocatorNode:
              type: integer
              format: int32
            address2:
              type: string
            country:
              type: string
            address1:
              type: string
            city:
              type: string
            venueName:
              type: string
            stateProvince:
              type: string
            locationName:
              type: string
      example:
        postalCode: ...
        sysidVenueNode: 12345
        sysidLocatorNode: 12345
        address2: ...
        country: ...
        address1: ...
        city: ...
        venueName: ...
        stateProvince: ...
        locationName: ...
    ResourceImageData:
      type: object
      title: ResourceImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            height:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            imageSource:
              type: string
            displayOrder:
              type: integer
              format: int32
            name:
              type: string
            defaultImage:
              type: boolean
            sysidResourceImage:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            description:
              type: string
      example:
        thumbnailSource: ...
        height: 12345
        imageSource: ...
        sysidResourceImage: 12345
        width: 12345
        defaultImage: true
        name: ...
        displayOrder: 12345
        description: ...
    LocatorImage:
      type: object
      title: LocatorImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            imageSource:
              type: string
            imageType:
              $ref: '#/components/schemas/CodeTableData'
            sysidLocatorImage:
              type: integer
              format: int32
      example:
        imageSource: ...
        imageType:
          languageTagKey: ...
          name: ...
          sysid: 12345
        sysidLocatorImage: 12345
    CodeTableData:
      type: object
      title: CodeTableData
      required:
        - sysid
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            languageTagKey:
              type: string
            name:
              type: string
            sysid:
              type: integer
              format: int32
      example:
        languageTagKey: ...
        name: ...
        sysid: 12345

````